# Interface SourceCodeAnalysis.Suggestion

Enclosing class:
  `SourceCodeAnalysis`

public static interface SourceCodeAnalysis.Suggestion
A candidate for continuation of the given user's input.

Since:
  9

## Method Summary

Modifier and Type
Method
Description
`String`
`continuation()`
The candidate continuation of the given user's input.
`boolean`
`matchesType()`
Indicates whether input continuation matches the target type and is thus more likely to be the desired continuation.

## Method Details

### continuation

String continuation()
The candidate continuation of the given user's input.

Returns:
  the continuation string

### matchesType

boolean matchesType()
Indicates whether input continuation matches the target type and is thus more likely to be the desired continuation. A matching continuation is preferred.

Returns:
  `true` if this suggested continuation matches the target type; otherwise `false`